%define rhugversion 20031215
%define rhugsource1 %{name}-%{version}-src upstream
%define rhugpatches 2

Summary: Jakarta Commons Collections Component
Name: commons-collections
Version: 2.1
Release: 12
URL: http://jakarta.apache.org/commons/collections.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-rhjpp.patch
Patch2: %{name}-teststatus.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: junit >= 3.8.1-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1

%description
There are certain holes left unfilled in the Collections API. The
Jakarta Commons Collections Component strives to fulfill them.

%package devel
Summary: CNI headers for developing Commons Collections applications
Group: Development/Libraries
Requires: commons-collections = %{version}-%{release}

%description devel
The commons-collections-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Collections Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
%patch2 -p1 -b .teststatus
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make
#make check  XXX fails

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-collections.so \
    %{_datadir}/java/commons-collections.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-collections.so \
    %{_datadir}/java/commons-collections.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/collections

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 2.1-12
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 2.1-11
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Fri Feb 13 2004 Gary Benson <gbenson@redhat.com> 2.1-10
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Wed Dec 10 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 2.1-9
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 2.1-8
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 2.1-7
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 2.1-6
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 2.1-5
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 2.1-4
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 2.1-3
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 2.1-2
- Rebuild with new compiler.

* Wed Mar 26 2003 Gary Benson <gbenson@redhat.com> 2.1-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
